Subject: [icnrg] Fwd: I-D Action: draft-oran-icnrg-qosarch-01.txt

From: "David R. Oran" <[email-masked]>
Date: Tue, 27 Aug 2019 12:00:11 -0700

This update contains a completely-rewritten section on how QoS interacts 
with caching in ICN, based on the comments from Dirk Kutscher.

I didn’t receive any other feedback on the -00 draft, so no other 
parts of the document have been modified,

Hoping to get some good discussion and feedback on this work!

Thanks,
DaveO

Forwarded message:

> From: [email-masked]
> To: [email-masked]
> Subject: I-D Action: draft-oran-icnrg-qosarch-01.txt
> Date: Tue, 27 Aug 2019 11:57:36 -0700
>
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
>
>
>         Title           : Considerations in the development of a QoS 
> Architecture for CCNx-like ICN protocols
>         Author          : Dave Oran
> 	Filename        : draft-oran-icnrg-qosarch-01.txt
> 	Pages           : 20
> 	Date            : 2019-08-27
>
> Abstract:
>    This is a position paper.  It documents the author's personal views
>    on how Quality of Service (QoS) capabilities ought to be 
> accommodated
>    in ICN protocols like CCNx or NDN which employ flow-balanced
>    Interest/Data exchanges and hop-by-hop forwarding state as their
>    fundamental machinery.  It argues that such protocols demand a
>    substantially different approach to QoS from that taken in TCP/IP,
>    and proposes specific design patterns to achieve both 
> classification
>    and differentiated QoS treatment on both a flow and aggregate 
> basis.
>    It also considers the effect of caches as a resource in addition to
>    memory, CPU and link bandwidth that should be subject to explicitly
>    un-fair resource allocation.  The proposed methods are intended to
>    operate purely at the network layer, providing the primitives 
> needed
>    to achieve both transport and higher layer QoS objectives.  It
>    explicitly excludes any discussion of Quality of Experience (QoE)
>    which can only be assessed and controlled at the application layer 
> or
>    above.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-oran-icnrg-qosarch/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-oran-icnrg-qosarch-01
> https://datatracker.ietf.org/doc/html/draft-oran-icnrg-qosarch-01
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-oran-icnrg-qosarch-01
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt